Generic Image Library: any_image Class Template Reference

Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# any_image Class Template Reference
[Models]

`#include <any_image.hpp>`

Inheritance diagram for any_image:

List of all members.

## Detailed Description

### template<typename ImageTypes>
class boost::gil::any_image< ImageTypes >

Represents a run-time specified image. Note it does NOT model ImageConcept.

Represents an image whose type (color space, layout, planar/interleaved organization, etc) can be specified at run time. It is the runtime equivalent of `image`. Some of the requirements of ImageConcept, such as the `value_type` typedef cannot be fulfilled, since the language does not allow runtime type specification. Other requirements, such as access to the pixels, would be inefficient to provide. Thus `any_image` does not fully model ImageConcept. In particular, its `view` and `const_view` methods return `any_image_view`, which does not fully model ImageViewConcept. See `any_image_view` for more.

## Public Types

typedef any_image_view < typename detail::images_get_const_views_t < ImageTypes >::type > | const_view_t
typedef any_image_view < typename detail::images_get_views_t < ImageTypes >::type > | view_t
typedef std::ptrdiff_t | x_coord_t
typedef std::ptrdiff_t | y_coord_t
typedef point2< std::ptrdiff_t > | point_t

## Public Member Functions

template<typename T>
| any_image (const T &obj)
template<typename T>
| any_image (T &obj, bool do_swap)
| any_image (const any_image &v)
template<typename T>
any_image & | operator= (const T &obj)
any_image & | operator= (const any_image &v)
void | recreate (const point_t &dims, unsigned alignment=1)
void | recreate (x_coord_t width, y_coord_t height, unsigned alignment=1)
std::size_t | num_channels () const
point_t | dimensions () const
x_coord_t | width () const
y_coord_t | height () const

The documentation for this class was generated from the following file:

- any_image.hpp